GET
/v1/mgmt/flowAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Query Parameters
id*string
Get a single flow by id in its exported representation, using a valid management key.
curl -X GET "https://api.descope.com/v1/mgmt/flow?id=string"{ "flowId": "string", "metadata": { "name": "string", "description": "string", "componentsVersion": "string", "disabled": true, "fingerprint": true, "widget": true, "translation": { "enabled": true, "connectorId": "string", "sourceLanguage": "string", "targetLanguages": [ "string" ] }, "sharedInteractions": [ { "id": "string", "type": "string", "label": "string", "icon": "string", "subType": "string" } ], "management": true, "managementConfig": { "triggers": { "enabled": true, "triggerType": "string", "eventTriggers": { "triggeringEventTypes": [ "string" ] } } }, "clientValidationTracking": true }, "contents": {}, "screens": [ { "screenId": "string", "interactions": [ { "id": "string", "type": "string", "label": "string", "icon": "string", "subType": "string" } ], "contents": {} } ], "references": { "connectors": { "property1": "string", "property2": "string" }, "oauth": [ "string" ], "omitted": [ "string" ], "roles": { "property1": "string", "property2": "string" }, "userAttributes": [ "string" ], "tenantAttributes": [ "string" ] }}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface Response {flowId: stringmetadata: ExportedFlowMetadatacontents: {}screens?: ExportedScreen[]/** * Used by managementservice snapshots - make sure not to break compatibility */references?: {connectors?: {[k: string]: string}oauth?: string[]omitted?: string[]roles?: {[k: string]: string}userAttributes?: string[]tenantAttributes?: string[]}}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedFlowMetadata {name: stringdescription?: stringcomponentsVersion?: stringdisabled?: booleanfingerprint?: booleanwidget?: booleantranslation?: ExportedFlowTranslationsharedInteractions?: {id?: stringtype?: stringlabel?: stringicon?: stringsubType?: string}[]management?: booleanmanagementConfig?: {triggers?: ManagementConfigTriggers}clientValidationTracking?: boolean}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedFlowTranslation {enabled?: booleanconnectorId?: stringsourceLanguage?: stringtargetLanguages?: string[]}export interface ManagementConfigTriggers {enabled?: booleantriggerType?: stringeventTriggers?: ManagementConfigEventTriggers}export interface ManagementConfigEventTriggers {triggeringEventTypes?: string[]}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedScreen {screenId?: stringinteractions?: {id?: stringtype?: stringlabel?: stringicon?: stringsubType?: string}[]contents?: {}} Was this helpful?
Delete widget DELETE
Delete a single widget by id, using a valid management key.
Get Tenant Theme GET
Get the styles a tenant overrides the project theme with, using a valid management key. The logo is returned as a base64 data URI, so the response can be sent back to Set Tenant Theme unchanged. Returns 404 when the tenant has no theme of its own, in which case flows for that tenant render with the project theme.